Skip to main content
`Ctrl`+`K`

# TaoTermSetParametersVecType

Set the vector types of the parameters vector of a `TaoTerm`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermSetParametersVecType(TaoTerm term, VecType parameters_type)

Logically collective

## Input Parameters

- term - a `TaoTerm`

- parameters_type - the `VecType` for the parameters space

## Options Database Keys

- -tao_term_parameters_vec_type - `VecType` for complete list of vector types

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermGetParametersVecType()`, `TaoTermSetParametersLayout()`, `TaoTermGetParametersLayout()`, `TaoTermSetParametersTemplate()`, `TaoTermCreateParametersVec()`

## Level

advanced

## Location

src/tao/term/interface/taoterm.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages